
<?php
include '../comunes_php/cors.php';
include '../comunes_php/Log.class.php'; 
$log = new Log("app_trace", "./");
include '../rdb/conn.php';
require '../comunes_php/sendmail.php';

define("TEMPLATE_DIR", "http://www.i-consorcio.com.ar/dp2017/jquery/reportes/templates");
    //tengo que ver como se llamo , si con o sin mail. Si idc vino poblado es sin mail..
    
if (isset($_REQUEST['idc'])) {
        $id=    isset($_REQUEST['idc']) ? (is_null($_REQUEST['idc'])? NULL:$_REQUEST['idc']) : NULL;
        $mail=    'no';
        $usuario_id= isset($_REQUEST['usuario_idc']) ?(is_null($_REQUEST['usuario_idc'])?  '1':$_REQUEST['usuario_idc']) : '1';
        $log->insert("Aceptacion de contrato ".$id." desde la aplicacion", false, false, false);


    
} else {
        $id=    isset($_REQUEST['id']) ? (is_null($_REQUEST['id'])? NULL:$_REQUEST['id']) : NULL;
        $mail=    'si';
    
       	$fecha_iniciado=    isset($_REQUEST['fecha_iniciado']) ? (is_null($_REQUEST['fecha_iniciado'])? NULL:$_REQUEST['fecha_iniciado']) : NULL;
    	$cliente= isset($_REQUEST['cliente']) ?(is_null($_REQUEST['cliente'])?  '-1':$_REQUEST['cliente']) : '-1';
        $usuario_id= isset($_REQUEST['usuario_id']) ?(is_null($_REQUEST['usuario_id'])?  '-1':$_REQUEST['usuario_id']) : '-1';
        $log->insert("Aceptacion de contrato ".$id." desde el mail", false, false, false);


}	    

try {    
mysqli_query( $conn,"SET AUTOCOMMIT=0");
mysqli_query( $conn,"START TRANSACTION");



            $sql  ="UPDATE  contratos_cabecera set estado_id=2 where id=$id";
            mysqli_query( $conn,$sql);
            
            $actualizados=mysqli_affected_rows($conn);

            $log->insert($sql, false, false, false);

            $log->insert("Actualizados:".$actualizados, false, false, false);

            
            
            
         	if ($actualizados==1) {
         	    $sql  ="INSERT INTO estados_de_contrato(contrato_id, fecha, usuario_id, tipo_estado_id, observaciones, borrado) VALUES ";
                $sql  .="   ($id,now(),$usuario_id,2,'Contrato Aprobado ',0)";
            
                $log->insert($sql, false, false, false);
                mysqli_query( $conn,$sql);
                $actualizados=mysqli_affected_rows($conn);
                $log->insert("Actualizados:".$actualizados, false, false, false);
         	}             
    mysqli_query( $conn,"COMMIT");
    $log->insert("Commit", false, false, false);
    
    
    
    
    $result["actualizados"]=$actualizados;
    if ($actualizados>0) {
                    
        $result["estado"]=true;
        $result["msg"] = "contrato actualizado. ";
        $log->insert($result["msg"], false, false, false);
    
        
    } else
    {
        $result["estado"]=false;
        $result["msg"] = "No se realizo Ninguna actualizacion en la base de datos.";
        $log->insert($result["msg"], false, false, false);
    }
    

    //---------------------------------------
    
    if ($mail=='no') {
        echo json_encode($result);
        $log->insert(json_encode($result), false, false, false);
        exit; 
        
    } else {
         $sql= "SELECT * FROM `vw_contratos` where id= ".$id ; 
    	 $resultado = mysqli_query( $conn,$sql);
         while ($row= mysqli_fetch_array($resultado, MYSQL_ASSOC)) {
    
        	$cliente = $row["cliente"];
        	$para=$row["email"];
    	    $id = $row["id"];
    	    
    
            $filename = 'contrato_'.$id.'.docx';
            $my_file = $filename;
            $my_path = 'generados'.DIRECTORY_SEPARATOR;
            $my_name = "DanyPlacard";
            $my_mail = "parra.marcelo@gmail.com";
            $my_replyto = $my_mail;
            $my_subject = "Contrato DanyPlacard Nro $id";
            
            $log->insert(TEMPLATE_DIR.DIRECTORY_SEPARATOR."confirmado.html", false, false, false);
            $my_message=file_get_contents(TEMPLATE_DIR.DIRECTORY_SEPARATOR."confirmado.html");
            //$log->insert($my_message, false, false, false);
            
            $my_message=str_replace("{cliente}",$cliente,$my_message);
            $my_message=str_replace("{email}",$para,$my_message);
            $my_message=str_replace("{id}",$id,$my_message);
            $resultado = mail_attachment($my_file, $my_path, $para, $my_mail, $my_name, $my_replyto, $my_subject, $my_message);                           
    	    echo $my_message;
    	    $log->insert("Mail de aceptacion enviado correctamente", false, false, false);
            
             
         }
    
        
    }
    

} catch(exception $error) {
    
mysqli_query( $conn,"ROLLBACK");
        $result["msg"] = "Errores grabando en la base de datos: ".$error->getMessage();
        $result["estado"]=false;
        $log->insert($result["msg"], false, false, false);

echo json_encode($result);
	
}
    
  
?>